> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thepublive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# News Sitemap

> Returns a Google News-namespaced sitemap urlset.



## OpenAPI

````yaml /openapi/content-delivery.json get /publisher/{publisher_id}/sitemap/news-sitemap.xml/
openapi: 3.1.0
info:
  title: Publive Content Delivery API
  version: 1.0.0
  description: >-
    Read-only API for delivering publisher content, configuration, and static
    assets. All endpoints require HTTP Basic Auth and are GET requests.
servers:
  - url: https://cds.thepublive.com
security:
  - basicAuth: []
tags:
  - name: Site Configuration
  - name: Content
  - name: Posts
  - name: Forms
  - name: Static Files
  - name: Sitemaps
paths:
  /publisher/{publisher_id}/sitemap/news-sitemap.xml/:
    get:
      tags:
        - Sitemaps
      summary: News Sitemap
      description: Returns a Google News-namespaced sitemap urlset.
      operationId: getNewsSitemap
      parameters:
        - $ref: '#/components/parameters/PublisherId'
      responses:
        '200':
          description: News sitemap XML (as JSON string content)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StaticContentEnvelope'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    PublisherId:
      name: publisher_id
      in: path
      required: true
      schema:
        type: string
      description: Your Publisher ID
  schemas:
    StaticContentEnvelope:
      type: object
      properties:
        status:
          type: string
        data:
          type: object
          properties:
            content:
              type: string
    ErrorDetail:
      type: object
      properties:
        detail:
          type: string
  responses:
    Unauthorized:
      description: Invalid or missing credentials
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorDetail'
          example:
            detail: Invalid Auth Credentials
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorDetail'
          example:
            detail: File not found
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: HTTP Basic Auth using your Publive API key pair, base64-encoded.

````